Object Storage
List buckets
get
/object-storage/bucketsSee your organization's buckets with their tier, endpoint, size, status and this month's cost.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de consulta
project_id?integer | null
Only the buckets of this project
tier?string | null
Only the buckets of this tier (slug or uuid)
Rango
length ≤ 64tag?array<string>
Only the buckets with this tag: key or key=value. Repeat it to require several (AND)
Rango
items ≤ 10Respuestas
Successful Response
application/json
array<ObjectStorageBucketOut>
uuid*string
name*string
status*string
suspend_reason?string | null
write_blocked?boolean
Por defecto
falseerror_message?string | null
project_id?integer | null
tier*ObjectStorageTierSummary
Propiedades (4)
uuid*string
slug*string
name*string
media*string
location_name?string | null
region*string
endpoint*string
versioning*string
protected*boolean
size_bytes*integer
size_cap_gb_effective*integer
objects_count*integer
usage_updated_at?string | null
monthly_charges*number
cdn_connected*boolean
tags?record<string, string>
Por defecto
{}lifecycle_status?string
Por defecto
"none"lifecycle_rules_count?integer
Por defecto
0event_rules_count?integer
Por defecto
0object_lock*ObjectStorageObjectLockOut
Propiedades (2)
enabled*boolean
default_retention?ObjectStorageLockRetentionOut | null
Propiedades (3)
mode*string
Valores
"governance""compliance"days?integer | null
years?integer | null
locked_content_kept?boolean
Por defecto
falseencryption?ObjectStorageBucketEncryptionOut | null
Encryption at rest (SSE-S3). scope: all_objects, or new_objects while objects written
before the bucket default may still be stored in plaintext.
Propiedades (3)
algorithm*string
Valores
"AES256"scope*string
Valores
"all_objects""new_objects"applied_at?string | null
When the bucket's encryption default was applied
Formato
date-time